jQuery.fn.focusImg=function(ShowType,DelayTime){
	var ShowType;
	var DelayTime;
	var wrap=jQuery(this);
	var slider=jQuery(".image",wrap);
	var btns=jQuery('.point li a',wrap); //所有li[按钮]
	var picList=jQuery('li',slider); //所有li[图片]
	
	/*位置跳动时使用*/
	var liwidth=picList.eq(0).width(); //获取图片宽度
	var liheight=picList.eq(0).height(); //获取图片高度
	/**/
	
	var len=picList.length;//li的个数
	var i=0;//记录当前播放的是第几张图片
	var timer;
	
	//开启定时器
	startScroll();
	
	//给容器pic-show添加鼠标移上去就停止滚动，移开就开始滚动的功能
    wrap.hover(stopScroll,startScroll);
	
	//给按钮添加鼠标移上去就转换图片的效果
	btns.mouseover(function(){
		var index=btns.index(this);
		scroll(index);
	});
	
	btns.eq(i).addClass('cur');	
	//默认给第一个按钮添加样式,显示第一张图片
	
	switch(ShowType){
		case 1:
			slider.css({"z-index": "10", "left": "0", "top": "0"});
			picList.css({"position":"absolute"});
			picList.eq(i).show().siblings().hide();
		break;		
		case 2:
			slider.css({"width": "99999px"});
			picList.css({"float":"left"});
			picList.slice(0,1).clone().appendTo(slider);
		break;		
		case 3:
			picList.css({"display":"block","float":"left"});
			picList.slice(0,1).clone().appendTo(slider);
		break;
		
		default:
	}

	//开始定时器
	function startScroll(){
		timer=setInterval(
		function(){
			i++;i=i%len;scroll(i)},DelayTime
		);
	}

	//关闭定时器
	function stopScroll(){
		clearInterval(timer);
	}

	function scroll(to){
		switch(ShowType){
			case 1:
				picList.filter(":visible").fadeOut(1000);
				picList.eq(to).fadeIn(1000);
				btns.removeClass('cur');
				btns.eq(to).addClass('cur');
				i=to;
			break;			
			case 2:
				//定时器处理函数，决定滚动哪一个,如果是滚动到第最后一张就播放完动画后跳回到第一张的位置，并且设置第一个按钮的颜色
				if(to==len){
					btns.removeClass('cur');
					btns.eq(0).addClass('cur');
				}
				slider.stop().animate(
					{"left":-liwidth*to},
					{duration: 1200, easing: "easeInOutBack"},
					function(){
						if(to==len){
						  i=0;
						  slider.css("left",0);
						}
					}
				);
				
				if(to!=len){
					btns.removeClass('cur');
					btns.eq(to).addClass('cur');
					i=to;
				}
			break;			
			case 3:
				//定时器处理函数，决定滚动哪一个,如果是滚动到第最后一张就播放完动画后跳回到第一张的位置，并且设置第一个按钮的颜色
				if(to==len){
					btns.removeClass('cur');
					btns.eq(0).addClass('cur');
				}
				slider.stop().animate(
					{"top":-liheight*to},
					{duration: 1200, easing: "easeInOutBack"},
					function(){
						if(to==len){
							i=0;
							slider.css("top",0);
						}
					}
				);
				
				if(to!=len){
					btns.removeClass('cur');
					btns.eq(to).addClass('cur');
					i=to;
				}
			break;			
			default:
		}
	}
};